########################################
# Derived definitions
########################################
%define name hb-logmoni
%define version 2.00
%define release 1
%define prefix /usr
%define libdir	%{_libdir}
#
%define mondir /etc/ha.d/monitoring
%define resdir /etc/ha.d/resource.d
%define init /etc/init.d/heartbeat
%define logd /etc/logrotate.d/heartbeat
#
#
#
Summary: Logging Monitor Scripts for Heartbeat2.1.4-1
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: NIPPON TELEGRAPH AND TELEPHONE CORPORATION
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: make
BuildArch: noarch
Requires: heartbeat = 2.1.4-1
Requires: perl

########################################
%description
Logging Monitor Scripts for Heartbeat 2.1.4-1
 * 2009/09/30
   * Version 2.00

########################################
%prep
########################################
rm -rf $RPM_BUILD_ROOT

########################################
%setup -q
########################################

########################################
%build
########################################

########################################
%configure
########################################

########################################
%pre
########################################
if [ ! -e %{init}.org -a ! -L %{init} ]; then
        mv %{init} %{init}.org
fi

if [ ! -e %{mondir}/heartbeat.org -a ! -L %{logd} ]; then
        mv %{logd} %{logd}.org
fi

########################################

########################################
%install
########################################
make DESTDIR=$RPM_BUILD_ROOT install

########################################
%clean
########################################
if
	[ -n "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]
then
	rm -rf $RPM_BUILD_ROOT
fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

########################################
%post
########################################
if [ -e %{logd}.org ]; then
	mv %{logd}.org %{mondir}/heartbeat.org
fi

ln -fs %{mondir}/init-heartbeat %{init}
ln -fs %{mondir}/logd-heartbeat %{logd}

########################################
%preun
########################################
true

########################################
%postun
########################################
# Remove Link files 
#  and Restore the backed up files
if [ ! -e %{mondir}/init-heartbeat ]; then
        rm -f %{init}
        mv %{init}.org %{init} 
fi

if [ ! -e %{mondir}/logd-heartbeat ]; then
        rm -f %{logd}
        mv %{mondir}/heartbeat.org %{logd}
	rm -rf %{mondir}
fi

########################################
%files
########################################
%defattr(-,root,root)

%doc README

%dir %{mondir}
%attr (755, root, root) %{mondir}/init-heartbeat
%attr (644, root, root) %{mondir}/logd-heartbeat
%attr (755, root, root) %{mondir}/heartbeat_logmoni.sh
%attr (755, root, root) %{resdir}/startstop

########################################
%changelog
########################################
* Tue Sep 29 2009 Junko IKEDA <ikedaj@intellilink.co.jp>
- release version 2.00 

* Tue Sep 1 2009 Junko IKEDA <ikedaj@intellilink.co.jp>
- initial release
